netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afp_avahi.h File Reference

Avahi based Zeroconf support. More...

`#include <assert.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <avahi-client/client.h>`
`#include <avahi-client/publish.h>`
`#include <avahi-common/alternative.h>`
`#include <avahi-common/error.h>`
`#include <avahi-common/malloc.h>`
`#include <avahi-common/thread-watch.h>`
`#include <atalk/logger.h>`

Go to the source code of this file.

## Data Structures
struct | context

## Functions
void | av_zeroconf_register (const AFPObj *obj)
int | av_zeroconf_unregister (void)
| Tries to shutdown this loop impl.

## Detailed Description

Avahi based Zeroconf support.

Author
  Daniel S. Haischt me@da.nosp@m.niel.nosp@m..stef.nosp@m.an.h.nosp@m.aisch.nosp@m.t.na.nosp@m.me

See also
  https://avahi.org/doxygen/html/

## Function Documentation

## ◆ av_zeroconf_register()

void av_zeroconf_register | ( | const AFPObj * | obj | ) |

Tries to setup the Zeroconf thread and any neccessary config setting.

## ◆ av_zeroconf_unregister()

int av_zeroconf_unregister | ( | void |  | ) |

Tries to shutdown this loop impl.

Note
  Call this function from inside this thread.